#!/usr/bin/perl -w
use strict;

my %files = map { $_ => 1 } (split(/\s+/, `/bin/ls ../help`));
my %tab = get_tab();

foreach (keys(%tab)) {
  print "$_: no file.\n" unless ($files{ $_ });
}

foreach (keys(%files)) {
  print "$_: no data.\n" unless ($tab{ $_ });
}

sub get_tab {
  my %tab;
  my $indicator = 0;

  my @tabs = qw(
    general
    group
    article
    post_and_mail
    misc
    files_and_dirs
    scoring
    spool
    grouplens
  );

  foreach (@tabs) {
    open(TABS, "../data/ui_tabs") or die("ui_tabs: $!\n");

    while (my $line = <TABS>) {
      if ($line =~ m/^$_$/) {
        $indicator = 1;
        next;
      }

      if ($indicator && $line =~ s/^  //) {
        chomp($line);

        next if ($line eq "<seperator>");

        $tab{ (split(/, /, (split(/\t+/, $line))[1]))[-1] }++;
      }
      else {
        $indicator = 0;
      }
    }

    close(TABS);
  }

  return %tab;
}
